jQuery(document).ready(function ($) {
    // When the notice is dismissed
    $(document).on('click', '.vegan-cafe-restaurant-notice .notice-dismiss', function () {
        $.post(ajaxurl, {
            action: 'vegan_cafe_restaurant_dismiss_notice'
        });
    });
});